groovy.util

## Interface ResourceConnector

All Known Implementing Classes:
  AbstractHttpServlet, GroovyScriptEngine, GroovyServlet, TemplateServlet

    public interface ResourceConnector

Base interface for customizing where resources can be found for the `GroovyScriptEngine`.

Author:
  sam

### Method Summary

All Methods Instance Methods Abstract Methods
`java.net.URLConnection` `getResourceConnection(java.lang.String name)` Retrieve a URLConnection to a script referenced by name.

### Method Detail

#### getResourceConnection

    java.net.URLConnection getResourceConnection(java.lang.String name)
                                          throws ResourceException

Retrieve a URLConnection to a script referenced by name.

Parameters:
  `name` -
Throws:
  `ResourceException`